<template>
    <transition name="slide-fade">
        <div class="validate-message">
            <div class="message-block">
                <div class="message-title">Success</div>
                <div class="message-timer"></div>
                <div class="message-text">
                    {{ $t('event.message-edit') }}
                </div>
            </div>
        </div>
    </transition>
</template>

<script>
export default {
    name: 'message'
};
</script>

<style scoped lang="sass">
    .validate-message
        width: 300px
        height: 150px
        background: #fff
        color: #000000
        position: fixed
        z-index: 9999
        top: 20px
        right: 20px
        border-left: 5px solid #e63f4f
        border-radius: 4px

    .slide-fade-enter-active
        transition: all .2s cubic-bezier(1.0, 0.5, 0.8, 1.0)

    .slide-fade-leave-active
        transition: all .8s cubic-bezier(1.0, 0.5, 0.8, 1.0)

    .slide-fade-enter, .slide-fade-leave-to
        transform: translateX(10px)
        opacity: 0

</style>
